relaxngcc.grammar

## Class InterleavePattern

- java.lang.Object
- - relaxngcc.grammar.Pattern
  - - relaxngcc.grammar.BinaryPattern
    - - relaxngcc.grammar.InterleavePattern

    public class InterleavePattern
    extends BinaryPattern

Author:
  Kohsuke Kawaguchi (kk@kohsuke.org)

### Field Summary

### Fields inherited from class relaxngcc.grammar.BinaryPattern

`p1, p2`

### Constructor Summary

Constructors
Constructor and Description
`InterleavePattern(ParserRuntime rt, Pattern p1, Pattern p2)`

### Method Summary

Methods
`java.lang.Object` `apply(PatternFunction f)`

### Methods inherited from class relaxngcc.grammar.BinaryPattern

`getChildPatterns`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### InterleavePattern

    public InterleavePattern(ParserRuntime rt,
                     Pattern p1,
                     Pattern p2)

### Method Detail

#### apply

    public java.lang.Object apply(PatternFunction f)

Specified by:
  `apply` in class `Pattern`